local actions = require("telescope.actions")

require('telescope').setup({
    defaults = {
        mappings = {
            i = {
                ["<C-j>"] = actions.move_selection_next,
                ["<C-k>"] = actions.move_selection_previous,
                ["<ESC>"] = actions.close,
                ["<C-c>"] = actions.close
            },
            n = {
                ["<ESC>"] = actions.close,
                ['<C-c>'] = actions.close
            }
        }
    },
    extensions = {
        fzf = {
            fuzzy = true,
            override_generic_sorter = true,
            override_file_sorter = true
        }
    }
})

require('telescope').load_extension('fzf')
